function iconClick() {
    var center = [38.891, 139.824];
    var hit = [38.921218,139.845293];
    var clickCount = 0;
    var mymap = L.map("icon-click").setView(center, 16);
    mymap.scrollWheelZoom.disable();
    L.tileLayer('//cyberjapandata.gsi.go.jp/xyz/std/{z}/{x}/{y}.png', {
	attribution:
	'<a href="http://maps.gsi.go.jp/development/ichiran.html">\
	国土地理院</a>'
    }).addTo(mymap);
    var marker = L.marker(center).addTo(mymap);
    marker.bindPopup('地図上のどこかをクリックしてください').openPopup();
    function moveIcon(e) {
	marker.setLatLng(e.latlng).bindPopup(
	    "ここは\n" + e.latlng + "です。\n"
	).openPopup();
    }
    mymap.on('click', moveIcon);
}
document.addEventListener("DOMContentLoaded", iconClick);
